API Documentation

Pagamenti dell'account

GET https://notificatorsms.com/api/payments/
curl --request GET \
--url 'https://notificatorsms.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
curl --request GET \
  --url 'https://notificatorsms.com/api/payments/' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/payments/');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/payments/', {
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.get('https://notificatorsms.com/api/payments/', headers=headers)
print(r.json())
Parameters Dettagli Descrizione
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
processor Optional String Allowed values: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
type Optional String Allowed values: one_time, recurring
frequency Optional String Allowed values: monthly, quarterly, biannual, annual, lifetime
status Optional String Allowed values: paid, pending, cancelled, refunded
datetime_field Optional String Allowed values: datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: id, total_amount, datetime.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-05-17 16:51:13",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://notificatorsms.com/api/payments?page=1",
        "last": "https://notificatorsms.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://notificatorsms.com/api/payments?page=1"
    }
}
GET https://notificatorsms.com/api/payments/{payment_id}
curl --request GET \
--url 'https://notificatorsms.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
curl --request GET \
  --url 'https://notificatorsms.com/api/payments/{id}' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/payments/{id}');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/payments/{id}', {
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.get('https://notificatorsms.com/api/payments/{id}', headers=headers)
print(r.json())
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-05-17 16:51:13",
    }
}